import { jsxs as r, jsx as t } from "react/jsx-runtime";
import { useEffect as I } from "react";
import { b as x, a as C } from "../../index.esm-BQxOvVZs.js";
import u from "../../components/Buttons/index.js";
import d from "../../components/Card/index.js";
import b from "../../components/Icons.js";
import p from "../../components/Layouts.js";
import c from "../FormInputs.js";
import { useGeneralForm as g } from "../../context/generalContext/index.js";
import { RenderEach as A } from "../../utils/components/RenderEach.js";
import { RenderIf as N } from "../../utils/components/RenderIf.js";
import "../../utils/functions.js";
import "../../components/Buttons/variants.js";
import "../../index-xVF7D3FM.js";
import "../../clsx-7d8NmkQq.js";
import "../../context/index.js";
import "../../components/Card/variants.js";
import "../../hooks/useHasNextSiblingByAttribute.js";
import "../../index-XXb8XwCi.js";
import "../../components/Inputs/variants.js";
import "../../motion-dVICNqWI.js";
import "../../SVGVisualElement-aqO4D4Z5.js";
import "../../LayoutGroupContext-3euHzeKi.js";
import "../../useQuery-n4ls1rLk.js";
import "../../components/Inputs/InputFileSimple.js";
import "../../hooks/useUploadFiles.js";
import "../../axios-f2q_J-wz.js";
import "../../components/Inputs/CircleProgressLoading.js";
const y = () => {
  var l;
  const i = C({ name: "activities" }) ?? [], s = i.length > 0, a = !((l = i.at(-1)) != null && l.activityCode);
  return { hasFields: s, validateLastField: a };
}, it = () => {
  const [i, s] = g((e) => e.functions), { fields: a, append: l, remove: v } = x({
    name: "activities"
  }), { hasFields: f, validateLastField: _ } = y();
  I(() => {
    if (a.length == 0)
      return () => {
        n();
      };
  }, []);
  const n = () => {
    const e = a.length;
    l({
      activityCode: "",
      tarifa: "",
      activityDescription: "",
      taxableIncome: "",
      taxValue: ""
    }), s((o) => {
      o.formules_schema && (o.formules_schema[`activities.${e}.taxValue`] = {
        req: ["activities", `activities.${e}.taxableIncome`, `activities.${e}.tarifa`],
        fx: (m) => +m[`activities.${e}.tarifa`] / 1e3 * +m[`activities.${e}.taxableIncome`]
      });
    });
  }, h = (e) => {
    a.length != 1 && (v(e), s((o) => {
      o.formules_schema && delete o.formules_schema[`activities.${e}.taxValue`];
    }));
  };
  return /* @__PURE__ */ r("div", { className: "_flex _flex-col _w-full", children: [
    /* @__PURE__ */ t("p", { className: "_ml-5 _mt-5 _text-maximun _font-semibold", children: "Actividades gravadas" }),
    f ? /* @__PURE__ */ t(A, { of: a, render: (e, o) => /* @__PURE__ */ t(F, { index: o, onDelete: () => h(o) }, e.id) }) : /* @__PURE__ */ t("p", { children: "Agrega una actividad principal" }),
    /* @__PURE__ */ t(u.Button, { className: "_w-fit _mb-4 _ml-6", onClick: n, disabled: _, type: "button", children: "Agregar Actividad" })
  ] });
}, F = ({ index: i, onDelete: s }) => {
  const a = i == 0;
  return /* @__PURE__ */ r(
    d.Wrapper,
    {
      canCloseContent: !0,
      titleToShow: /* @__PURE__ */ r("p", { children: [
        "ACTIVIDAD ",
        i + 1,
        " ",
        a ? "(PRINCIPAL)" : ""
      ] }),
      className: "_mx-4 _my-4",
      variant: { shadow: "withShadow" },
      children: [
        /* @__PURE__ */ r("div", { className: "_px-4 _py-4", children: [
          /* @__PURE__ */ r(p.InputsWrapper, { children: [
            /* @__PURE__ */ r("div", { className: "_flex _flex-[2]", children: [
              /* @__PURE__ */ t(c.InputFormCntx, { currentId: `activities.${i}.activityCode`, label: "Código Actividad (MUN)*" }),
              /* @__PURE__ */ t(u.Activities, { className: "_ml-1", index: i, targetId: `activities.${i}.activityCode` })
            ] }),
            /* @__PURE__ */ t(c.InputFormCntx, { currentId: `activities.${i}.tarifa`, label: "Tarifa (Por mil)*", inputProps: { disabled: !0 } })
          ] }),
          /* @__PURE__ */ r(p.InputsWrapper, { children: [
            /* @__PURE__ */ t(
              c.InputFormCntx,
              {
                inputProps: { disabled: !0 },
                className: "_flex-[2]",
                currentId: `activities.${i}.activityDescription`,
                label: "Descripción de la Actividad"
              }
            ),
            /* @__PURE__ */ t(c.CalcInput, { className: "_flex-1", currentId: `activities.${i}.taxableIncome`, label: "Ingresos gravados*" })
          ] })
        ] }),
        /* @__PURE__ */ r(d.Footer, { className: "_flex _flex-row", variant: { variant: "govco" }, children: [
          /* @__PURE__ */ t(N, { condition: !a, children: /* @__PURE__ */ r("div", { onClick: s, className: "_group hover:_text-black _flex _gap-2 _items-center _cursor-pointer", children: [
            /* @__PURE__ */ t(b.XWithCircleIcon, { className: "group-hover:_text-red-700 _text-red-600" }),
            /* @__PURE__ */ t("p", { className: "group-hover:_underline _text-red-600", children: "Descartar Actividad" })
          ] }) }),
          /* @__PURE__ */ t(c.CalcInput, { disabled: !0, className: "_ml-auto _w-fit", currentId: `activities.${i}.taxValue`, label: "VALOR IMPUESTO" })
        ] })
      ]
    }
  );
};
export {
  it as ActivitiesCards,
  F as CardActivity
};
